<!doctype html>
<html>
  <head>
    <title>P4G-Foundation-Collaboration</title>
    <style type="text/css">
      body {
	font-family: Trebuchet MS, sans-serif;
	font-size: 15px;
	color: #444;
	margin-right: 24px;
}

h1	{
	font-size: 25px;
}
h2	{
	font-size: 20px;
}
h3	{
	font-size: 16px;
	font-weight: bold;
}
hr	{
	height: 1px;
	border: 0;
	color: #ddd;
	background-color: #ddd;
}

.app-desc {
  clear: both;
  margin-left: 20px;
}
.param-name {
  width: 100%;
}
.license-info {
  margin-left: 20px;
}

.license-url {
  margin-left: 20px;
}

.model {
  margin: 0 0 0px 20px;
}

.method {
  margin-left: 20px;
}

.method-notes	{
	margin: 10px 0 20px 0;
	font-size: 90%;
	color: #555;
}

pre {
  padding: 10px;
  margin-bottom: 2px;
}

.http-method {
 text-transform: uppercase;
}

pre.get {
  background-color: #0f6ab4;
}

pre.post {
  background-color: #10a54a;
}

pre.put {
  background-color: #c5862b;
}

pre.delete {
  background-color: #a41e22;
}

.huge	{
	color: #fff;
}

pre.example {
  background-color: #f3f3f3;
  padding: 10px;
  border: 1px solid #ddd;
}

code {
  white-space: pre;
}

.nickname {
  font-weight: bold;
}

.method-path {
  font-size: 1.5em;
  background-color: #0f6ab4;
}

.up {
  float:right;
}

.parameter {
  width: 500px;
}

.param {
  width: 500px;
  padding: 10px 0 0 20px;
  font-weight: bold;
}

.param-desc {
  width: 700px;
  padding: 0 0 0 20px;
  color: #777;
}

.param-type {
  font-style: italic;
}

.param-enum-header {
width: 700px;
padding: 0 0 0 60px;
color: #777;
font-weight: bold;
}

.param-enum {
width: 700px;
padding: 0 0 0 80px;
color: #777;
font-style: italic;
}

.field-label {
  padding: 0;
  margin: 0;
  clear: both;
}

.field-items	{
	padding: 0 0 15px 0;
	margin-bottom: 15px;
}

.return-type {
  clear: both;
  padding-bottom: 10px;
}

.param-header {
  font-weight: bold;
}

.method-tags {
  text-align: right;
}

.method-tag {
  background: none repeat scroll 0% 0% #24A600;
  border-radius: 3px;
  padding: 2px 10px;
  margin: 2px;
  color: #FFF;
  display: inline-block;
  text-decoration: none;
}

    </style>
  </head>
  <body>
  <h1>P4G-Foundation-Collaboration</h1>
    <div class="app-desc">This is API for NKF Demo, Collaboration Module .</div>
    <div class="app-desc">More information: <a href="https://helloreverb.com">https://helloreverb.com</a></div>
    <div class="app-desc">Contact Info: <a href="hello@helloreverb.com">hello@helloreverb.com</a></div>
    <div class="app-desc">Version: 1.0.0</div>
    <div class="app-desc">BasePath:/v1</div>
    <div class="license-info">All rights reserved</div>
    <div class="license-url">http://apache.org/licenses/LICENSE-2.0.html</div>
  <h2>Access</h2>
    <ol>
      <li>APIKey KeyParamName:api_key KeyInQuery:false KeyInHeader:true</li>
      <li>OAuth AuthorizationUrl:http://petstore.swagger.io/oauth/dialogTokenUrl:</li>
    </ol>

  <h2><a name="__Methods">Methods</a></h2>
  [ Jump to <a href="#__Models">Models</a> ]

  <h3>Table of Contents </h3>
  <div class="method-summary"></div>
  <h4><a href="#Group">Group</a></h4>
  <ul>
  <li><a href="#addGroupMember"><code><span class="http-method">post</span> /groups/{groupid}/members</code></a></li>
  <li><a href="#addGroupProjectMember"><code><span class="http-method">post</span> /groups/{groupid}/projects/{projectid}/members</code></a></li>
  <li><a href="#createGroup"><code><span class="http-method">post</span> /groups</code></a></li>
  <li><a href="#createGroupProject"><code><span class="http-method">post</span> /groups/{groupid}/projects</code></a></li>
  <li><a href="#deleteGroupByGroupId"><code><span class="http-method">delete</span> /groups/{groupid}</code></a></li>
  <li><a href="#getGroupByGroupId"><code><span class="http-method">get</span> /groups/{groupid}</code></a></li>
  <li><a href="#getGroupProjectById"><code><span class="http-method">get</span> /groups/{groupid}/projects/{projectid}</code></a></li>
  <li><a href="#listAllGroups"><code><span class="http-method">get</span> /groups</code></a></li>
  <li><a href="#listMembersOfTheGroup"><code><span class="http-method">get</span> /groups/{groupid}/members</code></a></li>
  <li><a href="#listMembersOfTheGroupProject"><code><span class="http-method">get</span> /groups/{groupid}/projects/{projectid}/members</code></a></li>
  <li><a href="#listProjectsOfTheGroup"><code><span class="http-method">get</span> /groups/{groupid}/projects</code></a></li>
  <li><a href="#removeGroupMember"><code><span class="http-method">delete</span> /groups/{groupid}/members/{userid}</code></a></li>
  <li><a href="#updateGroup"><code><span class="http-method">patch</span> /groups/{groupid}</code></a></li>
  </ul>
  <h4><a href="#Project">Project</a></h4>
  <ul>
  <li><a href="#addProjectMember"><code><span class="http-method">post</span> /projects/{projectid}/members</code></a></li>
  <li><a href="#createProjectAtTheRoot"><code><span class="http-method">post</span> /projects</code></a></li>
  <li><a href="#getProjectById"><code><span class="http-method">get</span> /projects/{projectid}</code></a></li>
  <li><a href="#listAllProjects"><code><span class="http-method">get</span> /projects</code></a></li>
  <li><a href="#listMembersOfTheProject"><code><span class="http-method">get</span> /projects/{projectid}/members</code></a></li>
  </ul>
  <h4><a href="#User">User</a></h4>
  <ul>
  <li><a href="#createUser"><code><span class="http-method">post</span> /users</code></a></li>
  <li><a href="#deleteUserProfileByUserId"><code><span class="http-method">delete</span> /users/{userid}</code></a></li>
  <li><a href="#getUserByUserId"><code><span class="http-method">get</span> /users/{userid}</code></a></li>
  <li><a href="#listAllUsers"><code><span class="http-method">get</span> /users</code></a></li>
  <li><a href="#updateUser"><code><span class="http-method">patch</span> /users/{userid}</code></a></li>
  </ul>

  <h1><a name="Group">Group</a></h1>
  <div class="method"><a name="addGroupMember"/>
    <div class="method-path">
    <a class="up" href="#__Methods">Up</a>
    <pre class="post"><code class="huge"><span class="http-method">post</span> /groups/{groupid}/members</code></pre></div>
    <div class="method-summary">add group member (<span class="nickname">addGroupMember</span>)</div>
    <div class="method-notes"></div>

    <h3 class="field-label">Path parameters</h3>
    <div class="field-items">
      <div class="param">groupid (required)</div>

      <div class="param-desc"><span class="param-type">Path Parameter</span> &mdash; add user as group member </div>
    </div>  <!-- field-items -->


    <h3 class="field-label">Request body</h3>
    <div class="field-items">
      <div class="param">body <a href="#GroupMember">GroupMember</a> (required)</div>

      <div class="param-desc"><span class="param-type">Body Parameter</span> &mdash; Created Group Member </div>

    </div>  <!-- field-items -->





    <!--Todo: process Response Object and its headers, schema, examples -->


    <h3 class="field-label">Produces</h3>
    This API call produces the following media types according to the <span class="header">Accept</span> request header;
    the media type will be conveyed by the <span class="header">Content-Type</span> response header.
    <ul>
      <li><code>application/json</code></li>
    </ul>

    <h3 class="field-label">Responses</h3>
    <h4 class="field-label">default</h4>
    successful operation
        <a href="#"></a>
  </div> <!-- method -->
  <hr/>
  <div class="method"><a name="addGroupProjectMember"/>
    <div class="method-path">
    <a class="up" href="#__Methods">Up</a>
    <pre class="post"><code class="huge"><span class="http-method">post</span> /groups/{groupid}/projects/{projectid}/members</code></pre></div>
    <div class="method-summary">add project member to the group project (<span class="nickname">addGroupProjectMember</span>)</div>
    <div class="method-notes"></div>

    <h3 class="field-label">Path parameters</h3>
    <div class="field-items">
      <div class="param">groupid (required)</div>

      <div class="param-desc"><span class="param-type">Path Parameter</span> &mdash;  </div><div class="param">projectid (required)</div>

      <div class="param-desc"><span class="param-type">Path Parameter</span> &mdash;  </div>
    </div>  <!-- field-items -->


    <h3 class="field-label">Request body</h3>
    <div class="field-items">
      <div class="param">body <a href="#GroupMember">GroupMember</a> (required)</div>

      <div class="param-desc"><span class="param-type">Body Parameter</span> &mdash;  </div>

    </div>  <!-- field-items -->





    <!--Todo: process Response Object and its headers, schema, examples -->


    <h3 class="field-label">Produces</h3>
    This API call produces the following media types according to the <span class="header">Accept</span> request header;
    the media type will be conveyed by the <span class="header">Content-Type</span> response header.
    <ul>
      <li><code>application/json</code></li>
    </ul>

    <h3 class="field-label">Responses</h3>
    <h4 class="field-label">default</h4>
    successful operation
        <a href="#"></a>
  </div> <!-- method -->
  <hr/>
  <div class="method"><a name="createGroup"/>
    <div class="method-path">
    <a class="up" href="#__Methods">Up</a>
    <pre class="post"><code class="huge"><span class="http-method">post</span> /groups</code></pre></div>
    <div class="method-summary">Create a Group (<span class="nickname">createGroup</span>)</div>
    <div class="method-notes"></div>



    <h3 class="field-label">Request body</h3>
    <div class="field-items">
      <div class="param">body <a href="#Group">Group</a> (required)</div>

      <div class="param-desc"><span class="param-type">Body Parameter</span> &mdash; Created Group </div>

    </div>  <!-- field-items -->




    <h3 class="field-label">Return type</h3>
    <div class="return-type">
      <a href="#Group">Group</a>
      
    </div>

    <!--Todo: process Response Object and its headers, schema, examples -->

    <h3 class="field-label">Example data</h3>
    <div class="example-data-content-type">Content-Type: application/json</div>
    <pre class="example"><code>{
  "summary" : "summary",
  "groupid" : "groupid",
  "name" : "name",
  "gitlabInfo" : "{}",
  "awsInfo" : "{}"
}</code></pre>

    <h3 class="field-label">Produces</h3>
    This API call produces the following media types according to the <span class="header">Accept</span> request header;
    the media type will be conveyed by the <span class="header">Content-Type</span> response header.
    <ul>
      <li><code>application/json</code></li>
    </ul>

    <h3 class="field-label">Responses</h3>
    <h4 class="field-label">200</h4>
    successful operation
        <a href="#Group">Group</a>
    <h4 class="field-label">400</h4>
    Invalid input supplied
        <a href="#"></a>
    <h4 class="field-label">404</h4>
    Users not found
        <a href="#"></a>
    <h4 class="field-label">500</h4>
    Internal Server Error
        <a href="#"></a>
  </div> <!-- method -->
  <hr/>
  <div class="method"><a name="createGroupProject"/>
    <div class="method-path">
    <a class="up" href="#__Methods">Up</a>
    <pre class="post"><code class="huge"><span class="http-method">post</span> /groups/{groupid}/projects</code></pre></div>
    <div class="method-summary">add a group project (<span class="nickname">createGroupProject</span>)</div>
    <div class="method-notes"></div>

    <h3 class="field-label">Path parameters</h3>
    <div class="field-items">
      <div class="param">groupid (required)</div>

      <div class="param-desc"><span class="param-type">Path Parameter</span> &mdash; id of the group </div>
    </div>  <!-- field-items -->


    <h3 class="field-label">Request body</h3>
    <div class="field-items">
      <div class="param">body <a href="#Project">Project</a> (required)</div>

      <div class="param-desc"><span class="param-type">Body Parameter</span> &mdash; Created Project </div>

    </div>  <!-- field-items -->





    <!--Todo: process Response Object and its headers, schema, examples -->


    <h3 class="field-label">Produces</h3>
    This API call produces the following media types according to the <span class="header">Accept</span> request header;
    the media type will be conveyed by the <span class="header">Content-Type</span> response header.
    <ul>
      <li><code>application/json</code></li>
    </ul>

    <h3 class="field-label">Responses</h3>
    <h4 class="field-label">default</h4>
    successful operation
        <a href="#"></a>
  </div> <!-- method -->
  <hr/>
  <div class="method"><a name="deleteGroupByGroupId"/>
    <div class="method-path">
    <a class="up" href="#__Methods">Up</a>
    <pre class="delete"><code class="huge"><span class="http-method">delete</span> /groups/{groupid}</code></pre></div>
    <div class="method-summary">Delete a Group by groupid (<span class="nickname">deleteGroupByGroupId</span>)</div>
    <div class="method-notes"></div>

    <h3 class="field-label">Path parameters</h3>
    <div class="field-items">
      <div class="param">groupid (required)</div>

      <div class="param-desc"><span class="param-type">Path Parameter</span> &mdash; The group that needs to be deleted </div>
    </div>  <!-- field-items -->







    <!--Todo: process Response Object and its headers, schema, examples -->


    <h3 class="field-label">Produces</h3>
    This API call produces the following media types according to the <span class="header">Accept</span> request header;
    the media type will be conveyed by the <span class="header">Content-Type</span> response header.
    <ul>
      <li><code>application/json</code></li>
    </ul>

    <h3 class="field-label">Responses</h3>
    <h4 class="field-label">default</h4>
    successful operation
        <a href="#"></a>
  </div> <!-- method -->
  <hr/>
  <div class="method"><a name="getGroupByGroupId"/>
    <div class="method-path">
    <a class="up" href="#__Methods">Up</a>
    <pre class="get"><code class="huge"><span class="http-method">get</span> /groups/{groupid}</code></pre></div>
    <div class="method-summary">Get group by groupid. Information returned includes group projects and group members (<span class="nickname">getGroupByGroupId</span>)</div>
    <div class="method-notes"></div>

    <h3 class="field-label">Path parameters</h3>
    <div class="field-items">
      <div class="param">groupid (required)</div>

      <div class="param-desc"><span class="param-type">Path Parameter</span> &mdash; id of the group that needs to be fetched. </div>
    </div>  <!-- field-items -->






    <h3 class="field-label">Return type</h3>
    <div class="return-type">
      <a href="#Group">Group</a>
      
    </div>

    <!--Todo: process Response Object and its headers, schema, examples -->

    <h3 class="field-label">Example data</h3>
    <div class="example-data-content-type">Content-Type: application/json</div>
    <pre class="example"><code>{
  "summary" : "summary",
  "groupid" : "groupid",
  "name" : "name",
  "gitlabInfo" : "{}",
  "awsInfo" : "{}"
}</code></pre>

    <h3 class="field-label">Produces</h3>
    This API call produces the following media types according to the <span class="header">Accept</span> request header;
    the media type will be conveyed by the <span class="header">Content-Type</span> response header.
    <ul>
      <li><code>application/json</code></li>
    </ul>

    <h3 class="field-label">Responses</h3>
    <h4 class="field-label">200</h4>
    successful operation
        <a href="#Group">Group</a>
    <h4 class="field-label">400</h4>
    Invalid input supplied
        <a href="#"></a>
    <h4 class="field-label">404</h4>
    User not found
        <a href="#"></a>
  </div> <!-- method -->
  <hr/>
  <div class="method"><a name="getGroupProjectById"/>
    <div class="method-path">
    <a class="up" href="#__Methods">Up</a>
    <pre class="get"><code class="huge"><span class="http-method">get</span> /groups/{groupid}/projects/{projectid}</code></pre></div>
    <div class="method-summary">get the details of a group project. details include project members (<span class="nickname">getGroupProjectById</span>)</div>
    <div class="method-notes"></div>

    <h3 class="field-label">Path parameters</h3>
    <div class="field-items">
      <div class="param">groupid (required)</div>

      <div class="param-desc"><span class="param-type">Path Parameter</span> &mdash; id of the group </div><div class="param">projectid (required)</div>

      <div class="param-desc"><span class="param-type">Path Parameter</span> &mdash; id of the project </div>
    </div>  <!-- field-items -->






    <h3 class="field-label">Return type</h3>
    <div class="return-type">
      <a href="#Project">Project</a>
      
    </div>

    <!--Todo: process Response Object and its headers, schema, examples -->

    <h3 class="field-label">Example data</h3>
    <div class="example-data-content-type">Content-Type: application/json</div>
    <pre class="example"><code>{
  "summary" : "summary",
  "project-domain" : "project-domain",
  "groupid" : "groupid",
  "name" : "name",
  "gitlabInfo" : "{}",
  "projectid" : "projectid",
  "project-type" : "project-type",
  "status" : "status",
  "awsInfo" : "{}"
}</code></pre>

    <h3 class="field-label">Produces</h3>
    This API call produces the following media types according to the <span class="header">Accept</span> request header;
    the media type will be conveyed by the <span class="header">Content-Type</span> response header.
    <ul>
      <li><code>application/json</code></li>
    </ul>

    <h3 class="field-label">Responses</h3>
    <h4 class="field-label">200</h4>
    successful operation
        <a href="#Project">Project</a>
    <h4 class="field-label">400</h4>
    Invalid input supplied
        <a href="#"></a>
    <h4 class="field-label">404</h4>
    Project not found
        <a href="#"></a>
  </div> <!-- method -->
  <hr/>
  <div class="method"><a name="listAllGroups"/>
    <div class="method-path">
    <a class="up" href="#__Methods">Up</a>
    <pre class="get"><code class="huge"><span class="http-method">get</span> /groups</code></pre></div>
    <div class="method-summary">list all groups (<span class="nickname">listAllGroups</span>)</div>
    <div class="method-notes"></div>







    <h3 class="field-label">Return type</h3>
    <div class="return-type">
      array[<a href="#Group">Group</a>]
      
    </div>

    <!--Todo: process Response Object and its headers, schema, examples -->

    <h3 class="field-label">Example data</h3>
    <div class="example-data-content-type">Content-Type: application/json</div>
    <pre class="example"><code>[ {
  "summary" : "summary",
  "groupid" : "groupid",
  "name" : "name",
  "gitlabInfo" : "{}",
  "awsInfo" : "{}"
}, {
  "summary" : "summary",
  "groupid" : "groupid",
  "name" : "name",
  "gitlabInfo" : "{}",
  "awsInfo" : "{}"
} ]</code></pre>

    <h3 class="field-label">Produces</h3>
    This API call produces the following media types according to the <span class="header">Accept</span> request header;
    the media type will be conveyed by the <span class="header">Content-Type</span> response header.
    <ul>
      <li><code>application/json</code></li>
    </ul>

    <h3 class="field-label">Responses</h3>
    <h4 class="field-label">200</h4>
    successful operation
        
    <h4 class="field-label">400</h4>
    Invalid input supplied
        <a href="#"></a>
    <h4 class="field-label">404</h4>
    Groups not found
        <a href="#"></a>
  </div> <!-- method -->
  <hr/>
  <div class="method"><a name="listMembersOfTheGroup"/>
    <div class="method-path">
    <a class="up" href="#__Methods">Up</a>
    <pre class="get"><code class="huge"><span class="http-method">get</span> /groups/{groupid}/members</code></pre></div>
    <div class="method-summary">list all group members (<span class="nickname">listMembersOfTheGroup</span>)</div>
    <div class="method-notes"></div>

    <h3 class="field-label">Path parameters</h3>
    <div class="field-items">
      <div class="param">groupid (required)</div>

      <div class="param-desc"><span class="param-type">Path Parameter</span> &mdash; add user as group member </div>
    </div>  <!-- field-items -->






    <h3 class="field-label">Return type</h3>
    <div class="return-type">
      array[<a href="#GroupMember">GroupMember</a>]
      
    </div>

    <!--Todo: process Response Object and its headers, schema, examples -->

    <h3 class="field-label">Example data</h3>
    <div class="example-data-content-type">Content-Type: application/json</div>
    <pre class="example"><code>[ {
  "gitlab-groupid" : "gitlab-groupid",
  "groupid" : "groupid",
  "userid" : "userid",
  "groupname" : "groupname",
  "memberrole" : "memberrole",
  "gitlab-userid" : "gitlab-userid",
  "username" : "username"
}, {
  "gitlab-groupid" : "gitlab-groupid",
  "groupid" : "groupid",
  "userid" : "userid",
  "groupname" : "groupname",
  "memberrole" : "memberrole",
  "gitlab-userid" : "gitlab-userid",
  "username" : "username"
} ]</code></pre>

    <h3 class="field-label">Produces</h3>
    This API call produces the following media types according to the <span class="header">Accept</span> request header;
    the media type will be conveyed by the <span class="header">Content-Type</span> response header.
    <ul>
      <li><code>application/json</code></li>
    </ul>

    <h3 class="field-label">Responses</h3>
    <h4 class="field-label">200</h4>
    successful operation
        
    <h4 class="field-label">400</h4>
    Invalid input supplied
        <a href="#"></a>
    <h4 class="field-label">404</h4>
    Groups not found
        <a href="#"></a>
  </div> <!-- method -->
  <hr/>
  <div class="method"><a name="listMembersOfTheGroupProject"/>
    <div class="method-path">
    <a class="up" href="#__Methods">Up</a>
    <pre class="get"><code class="huge"><span class="http-method">get</span> /groups/{groupid}/projects/{projectid}/members</code></pre></div>
    <div class="method-summary">list all project members (<span class="nickname">listMembersOfTheGroupProject</span>)</div>
    <div class="method-notes"></div>

    <h3 class="field-label">Path parameters</h3>
    <div class="field-items">
      <div class="param">groupid (required)</div>

      <div class="param-desc"><span class="param-type">Path Parameter</span> &mdash;  </div><div class="param">projectid (required)</div>

      <div class="param-desc"><span class="param-type">Path Parameter</span> &mdash;  </div>
    </div>  <!-- field-items -->






    <h3 class="field-label">Return type</h3>
    <div class="return-type">
      array[<a href="#GroupMember">GroupMember</a>]
      
    </div>

    <!--Todo: process Response Object and its headers, schema, examples -->

    <h3 class="field-label">Example data</h3>
    <div class="example-data-content-type">Content-Type: application/json</div>
    <pre class="example"><code>[ {
  "gitlab-groupid" : "gitlab-groupid",
  "groupid" : "groupid",
  "userid" : "userid",
  "groupname" : "groupname",
  "memberrole" : "memberrole",
  "gitlab-userid" : "gitlab-userid",
  "username" : "username"
}, {
  "gitlab-groupid" : "gitlab-groupid",
  "groupid" : "groupid",
  "userid" : "userid",
  "groupname" : "groupname",
  "memberrole" : "memberrole",
  "gitlab-userid" : "gitlab-userid",
  "username" : "username"
} ]</code></pre>

    <h3 class="field-label">Produces</h3>
    This API call produces the following media types according to the <span class="header">Accept</span> request header;
    the media type will be conveyed by the <span class="header">Content-Type</span> response header.
    <ul>
      <li><code>application/json</code></li>
    </ul>

    <h3 class="field-label">Responses</h3>
    <h4 class="field-label">200</h4>
    successful operation
        
    <h4 class="field-label">400</h4>
    Invalid input supplied
        <a href="#"></a>
    <h4 class="field-label">404</h4>
    project members not found
        <a href="#"></a>
  </div> <!-- method -->
  <hr/>
  <div class="method"><a name="listProjectsOfTheGroup"/>
    <div class="method-path">
    <a class="up" href="#__Methods">Up</a>
    <pre class="get"><code class="huge"><span class="http-method">get</span> /groups/{groupid}/projects</code></pre></div>
    <div class="method-summary">list all projects of the group (<span class="nickname">listProjectsOfTheGroup</span>)</div>
    <div class="method-notes"></div>

    <h3 class="field-label">Path parameters</h3>
    <div class="field-items">
      <div class="param">groupid (required)</div>

      <div class="param-desc"><span class="param-type">Path Parameter</span> &mdash; id of the group </div>
    </div>  <!-- field-items -->






    <h3 class="field-label">Return type</h3>
    <div class="return-type">
      array[<a href="#Project">Project</a>]
      
    </div>

    <!--Todo: process Response Object and its headers, schema, examples -->

    <h3 class="field-label">Example data</h3>
    <div class="example-data-content-type">Content-Type: application/json</div>
    <pre class="example"><code>[ {
  "summary" : "summary",
  "project-domain" : "project-domain",
  "groupid" : "groupid",
  "name" : "name",
  "gitlabInfo" : "{}",
  "projectid" : "projectid",
  "project-type" : "project-type",
  "status" : "status",
  "awsInfo" : "{}"
}, {
  "summary" : "summary",
  "project-domain" : "project-domain",
  "groupid" : "groupid",
  "name" : "name",
  "gitlabInfo" : "{}",
  "projectid" : "projectid",
  "project-type" : "project-type",
  "status" : "status",
  "awsInfo" : "{}"
} ]</code></pre>

    <h3 class="field-label">Produces</h3>
    This API call produces the following media types according to the <span class="header">Accept</span> request header;
    the media type will be conveyed by the <span class="header">Content-Type</span> response header.
    <ul>
      <li><code>application/json</code></li>
    </ul>

    <h3 class="field-label">Responses</h3>
    <h4 class="field-label">200</h4>
    successful operation
        
    <h4 class="field-label">400</h4>
    Invalid input supplied
        <a href="#"></a>
    <h4 class="field-label">404</h4>
    Projects not found
        <a href="#"></a>
  </div> <!-- method -->
  <hr/>
  <div class="method"><a name="removeGroupMember"/>
    <div class="method-path">
    <a class="up" href="#__Methods">Up</a>
    <pre class="delete"><code class="huge"><span class="http-method">delete</span> /groups/{groupid}/members/{userid}</code></pre></div>
    <div class="method-summary">remove group member (<span class="nickname">removeGroupMember</span>)</div>
    <div class="method-notes"></div>

    <h3 class="field-label">Path parameters</h3>
    <div class="field-items">
      <div class="param">groupid (required)</div>

      <div class="param-desc"><span class="param-type">Path Parameter</span> &mdash; id of the group </div><div class="param">userid (required)</div>

      <div class="param-desc"><span class="param-type">Path Parameter</span> &mdash; id of the user to be removed from group </div>
    </div>  <!-- field-items -->







    <!--Todo: process Response Object and its headers, schema, examples -->


    <h3 class="field-label">Produces</h3>
    This API call produces the following media types according to the <span class="header">Accept</span> request header;
    the media type will be conveyed by the <span class="header">Content-Type</span> response header.
    <ul>
      <li><code>application/json</code></li>
    </ul>

    <h3 class="field-label">Responses</h3>
    <h4 class="field-label">default</h4>
    successful operation
        <a href="#"></a>
  </div> <!-- method -->
  <hr/>
  <div class="method"><a name="updateGroup"/>
    <div class="method-path">
    <a class="up" href="#__Methods">Up</a>
    <pre class="patch"><code class="huge"><span class="http-method">patch</span> /groups/{groupid}</code></pre></div>
    <div class="method-summary">Update a Group (<span class="nickname">updateGroup</span>)</div>
    <div class="method-notes"></div>

    <h3 class="field-label">Path parameters</h3>
    <div class="field-items">
      <div class="param">groupid (required)</div>

      <div class="param-desc"><span class="param-type">Path Parameter</span> &mdash; The group that needs to be deleted </div>
    </div>  <!-- field-items -->


    <h3 class="field-label">Request body</h3>
    <div class="field-items">
      <div class="param">body <a href="#Group">Group</a> (required)</div>

      <div class="param-desc"><span class="param-type">Body Parameter</span> &mdash; Updated Group </div>

    </div>  <!-- field-items -->




    <h3 class="field-label">Return type</h3>
    <div class="return-type">
      <a href="#UserProfile">UserProfile</a>
      
    </div>

    <!--Todo: process Response Object and its headers, schema, examples -->

    <h3 class="field-label">Example data</h3>
    <div class="example-data-content-type">Content-Type: application/json</div>
    <pre class="example"><code>{
  "summary" : "summary",
  "avalibility" : "avalibility",
  "skillset" : "skillset",
  "user-project-memberships" : [ {
    "gitlab-groupid" : "gitlab-groupid",
    "groupid" : "groupid",
    "userid" : "userid",
    "groupname" : "groupname",
    "memberrole" : "memberrole",
    "gitlab-userid" : "gitlab-userid",
    "username" : "username"
  }, {
    "gitlab-groupid" : "gitlab-groupid",
    "groupid" : "groupid",
    "userid" : "userid",
    "groupname" : "groupname",
    "memberrole" : "memberrole",
    "gitlab-userid" : "gitlab-userid",
    "username" : "username"
  } ],
  "gitlab-info" : "{}",
  "userid" : "userid",
  "user-group-memberships" : [ {
    "gitlab-groupid" : "gitlab-groupid",
    "groupid" : "groupid",
    "userid" : "userid",
    "groupname" : "groupname",
    "memberrole" : "memberrole",
    "gitlab-userid" : "gitlab-userid",
    "username" : "username"
  }, {
    "gitlab-groupid" : "gitlab-groupid",
    "groupid" : "groupid",
    "userid" : "userid",
    "groupname" : "groupname",
    "memberrole" : "memberrole",
    "gitlab-userid" : "gitlab-userid",
    "username" : "username"
  } ],
  "phone" : "phone",
  "name" : "name",
  "tenent" : "tenent",
  "interests" : "interests",
  "email" : "email",
  "aws-info" : "{}",
  "status" : "status"
}</code></pre>

    <h3 class="field-label">Produces</h3>
    This API call produces the following media types according to the <span class="header">Accept</span> request header;
    the media type will be conveyed by the <span class="header">Content-Type</span> response header.
    <ul>
      <li><code>application/json</code></li>
    </ul>

    <h3 class="field-label">Responses</h3>
    <h4 class="field-label">200</h4>
    successful operation
        <a href="#UserProfile">UserProfile</a>
    <h4 class="field-label">400</h4>
    Invalid input supplied
        <a href="#"></a>
    <h4 class="field-label">404</h4>
    Users not found
        <a href="#"></a>
    <h4 class="field-label">500</h4>
    Internal Server Error
        <a href="#"></a>
  </div> <!-- method -->
  <hr/>
  <h1><a name="Project">Project</a></h1>
  <div class="method"><a name="addProjectMember"/>
    <div class="method-path">
    <a class="up" href="#__Methods">Up</a>
    <pre class="post"><code class="huge"><span class="http-method">post</span> /projects/{projectid}/members</code></pre></div>
    <div class="method-summary">add project member (<span class="nickname">addProjectMember</span>)</div>
    <div class="method-notes"></div>

    <h3 class="field-label">Path parameters</h3>
    <div class="field-items">
      <div class="param">projectid (required)</div>

      <div class="param-desc"><span class="param-type">Path Parameter</span> &mdash;  </div>
    </div>  <!-- field-items -->


    <h3 class="field-label">Request body</h3>
    <div class="field-items">
      <div class="param">body <a href="#ProjectMember">ProjectMember</a> (required)</div>

      <div class="param-desc"><span class="param-type">Body Parameter</span> &mdash;  </div>

    </div>  <!-- field-items -->





    <!--Todo: process Response Object and its headers, schema, examples -->


    <h3 class="field-label">Produces</h3>
    This API call produces the following media types according to the <span class="header">Accept</span> request header;
    the media type will be conveyed by the <span class="header">Content-Type</span> response header.
    <ul>
      <li><code>application/json</code></li>
    </ul>

    <h3 class="field-label">Responses</h3>
    <h4 class="field-label">default</h4>
    successful operation
        <a href="#"></a>
  </div> <!-- method -->
  <hr/>
  <div class="method"><a name="createProjectAtTheRoot"/>
    <div class="method-path">
    <a class="up" href="#__Methods">Up</a>
    <pre class="post"><code class="huge"><span class="http-method">post</span> /projects</code></pre></div>
    <div class="method-summary">Create a Project at the root of Platform4Good (<span class="nickname">createProjectAtTheRoot</span>)</div>
    <div class="method-notes"></div>



    <h3 class="field-label">Request body</h3>
    <div class="field-items">
      <div class="param">body <a href="#Project">Project</a> (required)</div>

      <div class="param-desc"><span class="param-type">Body Parameter</span> &mdash; Created Project </div>

    </div>  <!-- field-items -->





    <!--Todo: process Response Object and its headers, schema, examples -->


    <h3 class="field-label">Produces</h3>
    This API call produces the following media types according to the <span class="header">Accept</span> request header;
    the media type will be conveyed by the <span class="header">Content-Type</span> response header.
    <ul>
      <li><code>application/json</code></li>
    </ul>

    <h3 class="field-label">Responses</h3>
    <h4 class="field-label">default</h4>
    successful operation
        <a href="#"></a>
  </div> <!-- method -->
  <hr/>
  <div class="method"><a name="getProjectById"/>
    <div class="method-path">
    <a class="up" href="#__Methods">Up</a>
    <pre class="get"><code class="huge"><span class="http-method">get</span> /projects/{projectid}</code></pre></div>
    <div class="method-summary">get the details of a project. details include project members (<span class="nickname">getProjectById</span>)</div>
    <div class="method-notes"></div>

    <h3 class="field-label">Path parameters</h3>
    <div class="field-items">
      <div class="param">projectid (required)</div>

      <div class="param-desc"><span class="param-type">Path Parameter</span> &mdash; id of the project </div>
    </div>  <!-- field-items -->






    <h3 class="field-label">Return type</h3>
    <div class="return-type">
      <a href="#Project">Project</a>
      
    </div>

    <!--Todo: process Response Object and its headers, schema, examples -->

    <h3 class="field-label">Example data</h3>
    <div class="example-data-content-type">Content-Type: application/json</div>
    <pre class="example"><code>{
  "summary" : "summary",
  "project-domain" : "project-domain",
  "groupid" : "groupid",
  "name" : "name",
  "gitlabInfo" : "{}",
  "projectid" : "projectid",
  "project-type" : "project-type",
  "status" : "status",
  "awsInfo" : "{}"
}</code></pre>

    <h3 class="field-label">Produces</h3>
    This API call produces the following media types according to the <span class="header">Accept</span> request header;
    the media type will be conveyed by the <span class="header">Content-Type</span> response header.
    <ul>
      <li><code>application/json</code></li>
    </ul>

    <h3 class="field-label">Responses</h3>
    <h4 class="field-label">200</h4>
    successful operation
        <a href="#Project">Project</a>
    <h4 class="field-label">400</h4>
    Invalid input supplied
        <a href="#"></a>
    <h4 class="field-label">404</h4>
    Project not found
        <a href="#"></a>
  </div> <!-- method -->
  <hr/>
  <div class="method"><a name="listAllProjects"/>
    <div class="method-path">
    <a class="up" href="#__Methods">Up</a>
    <pre class="get"><code class="huge"><span class="http-method">get</span> /projects</code></pre></div>
    <div class="method-summary">list all projects (<span class="nickname">listAllProjects</span>)</div>
    <div class="method-notes"></div>







    <h3 class="field-label">Return type</h3>
    <div class="return-type">
      array[<a href="#Project">Project</a>]
      
    </div>

    <!--Todo: process Response Object and its headers, schema, examples -->

    <h3 class="field-label">Example data</h3>
    <div class="example-data-content-type">Content-Type: application/json</div>
    <pre class="example"><code>[ {
  "summary" : "summary",
  "project-domain" : "project-domain",
  "groupid" : "groupid",
  "name" : "name",
  "gitlabInfo" : "{}",
  "projectid" : "projectid",
  "project-type" : "project-type",
  "status" : "status",
  "awsInfo" : "{}"
}, {
  "summary" : "summary",
  "project-domain" : "project-domain",
  "groupid" : "groupid",
  "name" : "name",
  "gitlabInfo" : "{}",
  "projectid" : "projectid",
  "project-type" : "project-type",
  "status" : "status",
  "awsInfo" : "{}"
} ]</code></pre>

    <h3 class="field-label">Produces</h3>
    This API call produces the following media types according to the <span class="header">Accept</span> request header;
    the media type will be conveyed by the <span class="header">Content-Type</span> response header.
    <ul>
      <li><code>application/json</code></li>
    </ul>

    <h3 class="field-label">Responses</h3>
    <h4 class="field-label">200</h4>
    successful operation
        
    <h4 class="field-label">400</h4>
    Invalid input supplied
        <a href="#"></a>
    <h4 class="field-label">404</h4>
    Projects not found
        <a href="#"></a>
  </div> <!-- method -->
  <hr/>
  <div class="method"><a name="listMembersOfTheProject"/>
    <div class="method-path">
    <a class="up" href="#__Methods">Up</a>
    <pre class="get"><code class="huge"><span class="http-method">get</span> /projects/{projectid}/members</code></pre></div>
    <div class="method-summary">list all members of the project (<span class="nickname">listMembersOfTheProject</span>)</div>
    <div class="method-notes"></div>

    <h3 class="field-label">Path parameters</h3>
    <div class="field-items">
      <div class="param">projectid (required)</div>

      <div class="param-desc"><span class="param-type">Path Parameter</span> &mdash;  </div>
    </div>  <!-- field-items -->






    <h3 class="field-label">Return type</h3>
    <div class="return-type">
      array[<a href="#ProjectMember">ProjectMember</a>]
      
    </div>

    <!--Todo: process Response Object and its headers, schema, examples -->

    <h3 class="field-label">Example data</h3>
    <div class="example-data-content-type">Content-Type: application/json</div>
    <pre class="example"><code>[ {
  "gitlab-groupid" : "gitlab-groupid",
  "groupid" : "groupid",
  "userid" : "userid",
  "groupname" : "groupname",
  "memberrole" : "memberrole",
  "gitlab-userid" : "gitlab-userid",
  "username" : "username"
}, {
  "gitlab-groupid" : "gitlab-groupid",
  "groupid" : "groupid",
  "userid" : "userid",
  "groupname" : "groupname",
  "memberrole" : "memberrole",
  "gitlab-userid" : "gitlab-userid",
  "username" : "username"
} ]</code></pre>

    <h3 class="field-label">Produces</h3>
    This API call produces the following media types according to the <span class="header">Accept</span> request header;
    the media type will be conveyed by the <span class="header">Content-Type</span> response header.
    <ul>
      <li><code>application/json</code></li>
    </ul>

    <h3 class="field-label">Responses</h3>
    <h4 class="field-label">200</h4>
    successful operation
        
    <h4 class="field-label">400</h4>
    Invalid input supplied
        <a href="#"></a>
    <h4 class="field-label">404</h4>
    Groups not found
        <a href="#"></a>
  </div> <!-- method -->
  <hr/>
  <h1><a name="User">User</a></h1>
  <div class="method"><a name="createUser"/>
    <div class="method-path">
    <a class="up" href="#__Methods">Up</a>
    <pre class="post"><code class="huge"><span class="http-method">post</span> /users</code></pre></div>
    <div class="method-summary">Create a user (<span class="nickname">createUser</span>)</div>
    <div class="method-notes"></div>



    <h3 class="field-label">Request body</h3>
    <div class="field-items">
      <div class="param">body <a href="#User">User</a> (required)</div>

      <div class="param-desc"><span class="param-type">Body Parameter</span> &mdash; Created User </div>

    </div>  <!-- field-items -->




    <h3 class="field-label">Return type</h3>
    <div class="return-type">
      <a href="#UserProfile">UserProfile</a>
      
    </div>

    <!--Todo: process Response Object and its headers, schema, examples -->

    <h3 class="field-label">Example data</h3>
    <div class="example-data-content-type">Content-Type: application/json</div>
    <pre class="example"><code>{
  "summary" : "summary",
  "avalibility" : "avalibility",
  "skillset" : "skillset",
  "user-project-memberships" : [ {
    "gitlab-groupid" : "gitlab-groupid",
    "groupid" : "groupid",
    "userid" : "userid",
    "groupname" : "groupname",
    "memberrole" : "memberrole",
    "gitlab-userid" : "gitlab-userid",
    "username" : "username"
  }, {
    "gitlab-groupid" : "gitlab-groupid",
    "groupid" : "groupid",
    "userid" : "userid",
    "groupname" : "groupname",
    "memberrole" : "memberrole",
    "gitlab-userid" : "gitlab-userid",
    "username" : "username"
  } ],
  "gitlab-info" : "{}",
  "userid" : "userid",
  "user-group-memberships" : [ {
    "gitlab-groupid" : "gitlab-groupid",
    "groupid" : "groupid",
    "userid" : "userid",
    "groupname" : "groupname",
    "memberrole" : "memberrole",
    "gitlab-userid" : "gitlab-userid",
    "username" : "username"
  }, {
    "gitlab-groupid" : "gitlab-groupid",
    "groupid" : "groupid",
    "userid" : "userid",
    "groupname" : "groupname",
    "memberrole" : "memberrole",
    "gitlab-userid" : "gitlab-userid",
    "username" : "username"
  } ],
  "phone" : "phone",
  "name" : "name",
  "tenent" : "tenent",
  "interests" : "interests",
  "email" : "email",
  "aws-info" : "{}",
  "status" : "status"
}</code></pre>

    <h3 class="field-label">Produces</h3>
    This API call produces the following media types according to the <span class="header">Accept</span> request header;
    the media type will be conveyed by the <span class="header">Content-Type</span> response header.
    <ul>
      <li><code>application/json</code></li>
    </ul>

    <h3 class="field-label">Responses</h3>
    <h4 class="field-label">200</h4>
    successful operation
        <a href="#UserProfile">UserProfile</a>
    <h4 class="field-label">400</h4>
    Invalid input supplied
        <a href="#"></a>
    <h4 class="field-label">404</h4>
    Users not found
        <a href="#"></a>
    <h4 class="field-label">500</h4>
    Internal Server Error
        <a href="#"></a>
  </div> <!-- method -->
  <hr/>
  <div class="method"><a name="deleteUserProfileByUserId"/>
    <div class="method-path">
    <a class="up" href="#__Methods">Up</a>
    <pre class="delete"><code class="huge"><span class="http-method">delete</span> /users/{userid}</code></pre></div>
    <div class="method-summary">Delete a user (<span class="nickname">deleteUserProfileByUserId</span>)</div>
    <div class="method-notes"></div>

    <h3 class="field-label">Path parameters</h3>
    <div class="field-items">
      <div class="param">userid (required)</div>

      <div class="param-desc"><span class="param-type">Path Parameter</span> &mdash; id of the user to be deleted </div>
    </div>  <!-- field-items -->







    <!--Todo: process Response Object and its headers, schema, examples -->


    <h3 class="field-label">Produces</h3>
    This API call produces the following media types according to the <span class="header">Accept</span> request header;
    the media type will be conveyed by the <span class="header">Content-Type</span> response header.
    <ul>
      <li><code>application/json</code></li>
    </ul>

    <h3 class="field-label">Responses</h3>
    <h4 class="field-label">default</h4>
    successful operation
        <a href="#"></a>
  </div> <!-- method -->
  <hr/>
  <div class="method"><a name="getUserByUserId"/>
    <div class="method-path">
    <a class="up" href="#__Methods">Up</a>
    <pre class="get"><code class="huge"><span class="http-method">get</span> /users/{userid}</code></pre></div>
    <div class="method-summary">id of the user to be fetched. Information returned includes the profile information, group and project memberships of the user (<span class="nickname">getUserByUserId</span>)</div>
    <div class="method-notes"></div>

    <h3 class="field-label">Path parameters</h3>
    <div class="field-items">
      <div class="param">userid (required)</div>

      <div class="param-desc"><span class="param-type">Path Parameter</span> &mdash; id of the user to be fetched. </div>
    </div>  <!-- field-items -->






    <h3 class="field-label">Return type</h3>
    <div class="return-type">
      <a href="#UserProfile">UserProfile</a>
      
    </div>

    <!--Todo: process Response Object and its headers, schema, examples -->

    <h3 class="field-label">Example data</h3>
    <div class="example-data-content-type">Content-Type: application/json</div>
    <pre class="example"><code>{
  "summary" : "summary",
  "avalibility" : "avalibility",
  "skillset" : "skillset",
  "user-project-memberships" : [ {
    "gitlab-groupid" : "gitlab-groupid",
    "groupid" : "groupid",
    "userid" : "userid",
    "groupname" : "groupname",
    "memberrole" : "memberrole",
    "gitlab-userid" : "gitlab-userid",
    "username" : "username"
  }, {
    "gitlab-groupid" : "gitlab-groupid",
    "groupid" : "groupid",
    "userid" : "userid",
    "groupname" : "groupname",
    "memberrole" : "memberrole",
    "gitlab-userid" : "gitlab-userid",
    "username" : "username"
  } ],
  "gitlab-info" : "{}",
  "userid" : "userid",
  "user-group-memberships" : [ {
    "gitlab-groupid" : "gitlab-groupid",
    "groupid" : "groupid",
    "userid" : "userid",
    "groupname" : "groupname",
    "memberrole" : "memberrole",
    "gitlab-userid" : "gitlab-userid",
    "username" : "username"
  }, {
    "gitlab-groupid" : "gitlab-groupid",
    "groupid" : "groupid",
    "userid" : "userid",
    "groupname" : "groupname",
    "memberrole" : "memberrole",
    "gitlab-userid" : "gitlab-userid",
    "username" : "username"
  } ],
  "phone" : "phone",
  "name" : "name",
  "tenent" : "tenent",
  "interests" : "interests",
  "email" : "email",
  "aws-info" : "{}",
  "status" : "status"
}</code></pre>

    <h3 class="field-label">Produces</h3>
    This API call produces the following media types according to the <span class="header">Accept</span> request header;
    the media type will be conveyed by the <span class="header">Content-Type</span> response header.
    <ul>
      <li><code>application/json</code></li>
    </ul>

    <h3 class="field-label">Responses</h3>
    <h4 class="field-label">200</h4>
    successful operation
        <a href="#UserProfile">UserProfile</a>
    <h4 class="field-label">400</h4>
    Invalid input supplied
        <a href="#"></a>
    <h4 class="field-label">404</h4>
    User not found
        <a href="#"></a>
  </div> <!-- method -->
  <hr/>
  <div class="method"><a name="listAllUsers"/>
    <div class="method-path">
    <a class="up" href="#__Methods">Up</a>
    <pre class="get"><code class="huge"><span class="http-method">get</span> /users</code></pre></div>
    <div class="method-summary">list all users (<span class="nickname">listAllUsers</span>)</div>
    <div class="method-notes"></div>







    <h3 class="field-label">Return type</h3>
    <div class="return-type">
      array[<a href="#User">User</a>]
      
    </div>

    <!--Todo: process Response Object and its headers, schema, examples -->

    <h3 class="field-label">Example data</h3>
    <div class="example-data-content-type">Content-Type: application/json</div>
    <pre class="example"><code>[ {
  "summary" : "summary",
  "avalibility" : "avalibility",
  "skillset" : "skillset",
  "phone" : "phone",
  "gitlab-info" : "{}",
  "name" : "name",
  "tenent" : "tenent",
  "interests" : "interests",
  "userid" : "userid",
  "email" : "email",
  "aws-info" : "{}",
  "status" : "status"
}, {
  "summary" : "summary",
  "avalibility" : "avalibility",
  "skillset" : "skillset",
  "phone" : "phone",
  "gitlab-info" : "{}",
  "name" : "name",
  "tenent" : "tenent",
  "interests" : "interests",
  "userid" : "userid",
  "email" : "email",
  "aws-info" : "{}",
  "status" : "status"
} ]</code></pre>

    <h3 class="field-label">Produces</h3>
    This API call produces the following media types according to the <span class="header">Accept</span> request header;
    the media type will be conveyed by the <span class="header">Content-Type</span> response header.
    <ul>
      <li><code>application/json</code></li>
    </ul>

    <h3 class="field-label">Responses</h3>
    <h4 class="field-label">200</h4>
    successful operation
        
    <h4 class="field-label">400</h4>
    Invalid input supplied
        <a href="#"></a>
    <h4 class="field-label">404</h4>
    Users not found
        <a href="#"></a>
  </div> <!-- method -->
  <hr/>
  <div class="method"><a name="updateUser"/>
    <div class="method-path">
    <a class="up" href="#__Methods">Up</a>
    <pre class="patch"><code class="huge"><span class="http-method">patch</span> /users/{userid}</code></pre></div>
    <div class="method-summary">Update a user (<span class="nickname">updateUser</span>)</div>
    <div class="method-notes"></div>

    <h3 class="field-label">Path parameters</h3>
    <div class="field-items">
      <div class="param">userid (required)</div>

      <div class="param-desc"><span class="param-type">Path Parameter</span> &mdash; The name that needs to be patched. </div>
    </div>  <!-- field-items -->


    <h3 class="field-label">Request body</h3>
    <div class="field-items">
      <div class="param">body <a href="#User">User</a> (required)</div>

      <div class="param-desc"><span class="param-type">Body Parameter</span> &mdash; Updated User </div>

    </div>  <!-- field-items -->




    <h3 class="field-label">Return type</h3>
    <div class="return-type">
      <a href="#User">User</a>
      
    </div>

    <!--Todo: process Response Object and its headers, schema, examples -->

    <h3 class="field-label">Example data</h3>
    <div class="example-data-content-type">Content-Type: application/json</div>
    <pre class="example"><code>{
  "summary" : "summary",
  "avalibility" : "avalibility",
  "skillset" : "skillset",
  "phone" : "phone",
  "gitlab-info" : "{}",
  "name" : "name",
  "tenent" : "tenent",
  "interests" : "interests",
  "userid" : "userid",
  "email" : "email",
  "aws-info" : "{}",
  "status" : "status"
}</code></pre>

    <h3 class="field-label">Produces</h3>
    This API call produces the following media types according to the <span class="header">Accept</span> request header;
    the media type will be conveyed by the <span class="header">Content-Type</span> response header.
    <ul>
      <li><code>application/json</code></li>
    </ul>

    <h3 class="field-label">Responses</h3>
    <h4 class="field-label">200</h4>
    successful operation
        <a href="#User">User</a>
    <h4 class="field-label">400</h4>
    Invalid input supplied
        <a href="#"></a>
    <h4 class="field-label">500</h4>
    Internal Server Error
        <a href="#"></a>
  </div> <!-- method -->
  <hr/>

  <h2><a name="__Models">Models</a></h2>
  [ Jump to <a href="#__Methods">Methods</a> ]

  <h3>Table of Contents</h3>
  <ol>
    <li><a href="#Group"><code>Group</code> - </a></li>
    <li><a href="#GroupMember"><code>GroupMember</code> - </a></li>
    <li><a href="#Project"><code>Project</code> - </a></li>
    <li><a href="#ProjectMember"><code>ProjectMember</code> - </a></li>
    <li><a href="#User"><code>User</code> - </a></li>
    <li><a href="#UserProfile"><code>UserProfile</code> - </a></li>
  </ol>

  <div class="model">
    <h3><a name="Group"><code>Group</code> - </a> <a class="up" href="#__Models">Up</a></h3>
    <div class='model-description'></div>
    <div class="field-items">
      <div class="param">groupid (optional)</div><div class="param-desc"><span class="param-type"><a href="#string">String</a></span>  </div>
<div class="param">name (optional)</div><div class="param-desc"><span class="param-type"><a href="#string">String</a></span>  </div>
<div class="param">summary (optional)</div><div class="param-desc"><span class="param-type"><a href="#string">String</a></span>  </div>
<div class="param">gitlabInfo (optional)</div><div class="param-desc"><span class="param-type"><a href="#object">Object</a></span>  </div>
<div class="param">awsInfo (optional)</div><div class="param-desc"><span class="param-type"><a href="#object">Object</a></span>  </div>
    </div>  <!-- field-items -->
  </div>
  <div class="model">
    <h3><a name="GroupMember"><code>GroupMember</code> - </a> <a class="up" href="#__Models">Up</a></h3>
    <div class='model-description'></div>
    <div class="field-items">
      <div class="param">groupid (optional)</div><div class="param-desc"><span class="param-type"><a href="#string">String</a></span>  </div>
<div class="param">userid (optional)</div><div class="param-desc"><span class="param-type"><a href="#string">String</a></span>  </div>
<div class="param">groupname (optional)</div><div class="param-desc"><span class="param-type"><a href="#string">String</a></span>  </div>
<div class="param">username (optional)</div><div class="param-desc"><span class="param-type"><a href="#string">String</a></span>  </div>
<div class="param">memberrole (optional)</div><div class="param-desc"><span class="param-type"><a href="#string">String</a></span>  </div>
<div class="param">gitlab-groupid (optional)</div><div class="param-desc"><span class="param-type"><a href="#string">String</a></span>  </div>
<div class="param">gitlab-userid (optional)</div><div class="param-desc"><span class="param-type"><a href="#string">String</a></span>  </div>
    </div>  <!-- field-items -->
  </div>
  <div class="model">
    <h3><a name="Project"><code>Project</code> - </a> <a class="up" href="#__Models">Up</a></h3>
    <div class='model-description'></div>
    <div class="field-items">
      <div class="param">groupid (optional)</div><div class="param-desc"><span class="param-type"><a href="#string">String</a></span>  </div>
<div class="param">projectid (optional)</div><div class="param-desc"><span class="param-type"><a href="#string">String</a></span>  </div>
<div class="param">name (optional)</div><div class="param-desc"><span class="param-type"><a href="#string">String</a></span>  </div>
<div class="param">summary (optional)</div><div class="param-desc"><span class="param-type"><a href="#string">String</a></span>  </div>
<div class="param">project-type (optional)</div><div class="param-desc"><span class="param-type"><a href="#string">String</a></span>  </div>
<div class="param">project-domain (optional)</div><div class="param-desc"><span class="param-type"><a href="#string">String</a></span>  </div>
<div class="param">status (optional)</div><div class="param-desc"><span class="param-type"><a href="#string">String</a></span>  </div>
<div class="param">gitlabInfo (optional)</div><div class="param-desc"><span class="param-type"><a href="#object">Object</a></span>  </div>
<div class="param">awsInfo (optional)</div><div class="param-desc"><span class="param-type"><a href="#object">Object</a></span>  </div>
    </div>  <!-- field-items -->
  </div>
  <div class="model">
    <h3><a name="ProjectMember"><code>ProjectMember</code> - </a> <a class="up" href="#__Models">Up</a></h3>
    <div class='model-description'></div>
    <div class="field-items">
      <div class="param">groupid (optional)</div><div class="param-desc"><span class="param-type"><a href="#string">String</a></span>  </div>
<div class="param">userid (optional)</div><div class="param-desc"><span class="param-type"><a href="#string">String</a></span>  </div>
<div class="param">groupname (optional)</div><div class="param-desc"><span class="param-type"><a href="#string">String</a></span>  </div>
<div class="param">username (optional)</div><div class="param-desc"><span class="param-type"><a href="#string">String</a></span>  </div>
<div class="param">memberrole (optional)</div><div class="param-desc"><span class="param-type"><a href="#string">String</a></span>  </div>
<div class="param">gitlab-groupid (optional)</div><div class="param-desc"><span class="param-type"><a href="#string">String</a></span>  </div>
<div class="param">gitlab-userid (optional)</div><div class="param-desc"><span class="param-type"><a href="#string">String</a></span>  </div>
    </div>  <!-- field-items -->
  </div>
  <div class="model">
    <h3><a name="User"><code>User</code> - </a> <a class="up" href="#__Models">Up</a></h3>
    <div class='model-description'></div>
    <div class="field-items">
      <div class="param">userid (optional)</div><div class="param-desc"><span class="param-type"><a href="#string">String</a></span>  </div>
<div class="param">name (optional)</div><div class="param-desc"><span class="param-type"><a href="#string">String</a></span>  </div>
<div class="param">summary (optional)</div><div class="param-desc"><span class="param-type"><a href="#string">String</a></span>  </div>
<div class="param">email (optional)</div><div class="param-desc"><span class="param-type"><a href="#string">String</a></span>  </div>
<div class="param">phone (optional)</div><div class="param-desc"><span class="param-type"><a href="#string">String</a></span>  </div>
<div class="param">interests (optional)</div><div class="param-desc"><span class="param-type"><a href="#string">String</a></span>  </div>
<div class="param">skillset (optional)</div><div class="param-desc"><span class="param-type"><a href="#string">String</a></span>  </div>
<div class="param">avalibility (optional)</div><div class="param-desc"><span class="param-type"><a href="#string">String</a></span>  </div>
<div class="param">status (optional)</div><div class="param-desc"><span class="param-type"><a href="#string">String</a></span>  </div>
<div class="param">tenent (optional)</div><div class="param-desc"><span class="param-type"><a href="#string">String</a></span>  </div>
<div class="param">gitlab-info (optional)</div><div class="param-desc"><span class="param-type"><a href="#object">Object</a></span>  </div>
<div class="param">aws-info (optional)</div><div class="param-desc"><span class="param-type"><a href="#object">Object</a></span>  </div>
    </div>  <!-- field-items -->
  </div>
  <div class="model">
    <h3><a name="UserProfile"><code>UserProfile</code> - </a> <a class="up" href="#__Models">Up</a></h3>
    <div class='model-description'></div>
    <div class="field-items">
      <div class="param">userid (optional)</div><div class="param-desc"><span class="param-type"><a href="#string">String</a></span>  </div>
<div class="param">name (optional)</div><div class="param-desc"><span class="param-type"><a href="#string">String</a></span>  </div>
<div class="param">summary (optional)</div><div class="param-desc"><span class="param-type"><a href="#string">String</a></span>  </div>
<div class="param">email (optional)</div><div class="param-desc"><span class="param-type"><a href="#string">String</a></span>  </div>
<div class="param">phone (optional)</div><div class="param-desc"><span class="param-type"><a href="#string">String</a></span>  </div>
<div class="param">interests (optional)</div><div class="param-desc"><span class="param-type"><a href="#string">String</a></span>  </div>
<div class="param">skillset (optional)</div><div class="param-desc"><span class="param-type"><a href="#string">String</a></span>  </div>
<div class="param">avalibility (optional)</div><div class="param-desc"><span class="param-type"><a href="#string">String</a></span>  </div>
<div class="param">status (optional)</div><div class="param-desc"><span class="param-type"><a href="#string">String</a></span>  </div>
<div class="param">tenent (optional)</div><div class="param-desc"><span class="param-type"><a href="#string">String</a></span>  </div>
<div class="param">gitlab-info (optional)</div><div class="param-desc"><span class="param-type"><a href="#object">Object</a></span>  </div>
<div class="param">aws-info (optional)</div><div class="param-desc"><span class="param-type"><a href="#object">Object</a></span>  </div>
<div class="param">user-group-memberships (optional)</div><div class="param-desc"><span class="param-type"><a href="#GroupMember">array[GroupMember]</a></span>  </div>
<div class="param">user-project-memberships (optional)</div><div class="param-desc"><span class="param-type"><a href="#ProjectMember">array[ProjectMember]</a></span>  </div>
    </div>  <!-- field-items -->
  </div>
  </body>
</html>
